Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class StateChange

    java.lang.Object
      org.jboss.portal.wsrp.core.StateChange

All Implemented Interfaces:
  java.io.Serializable

    public class StateChange

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_cloneBeforeWrite`
`static java.lang.String` | `_cloneBeforeWriteString`
`static java.lang.String` | `_readOnly`
`static java.lang.String` | `_readOnlyString`
`static java.lang.String` | `_readWrite`
`static java.lang.String` | `_readWriteString`
`static StateChange` | `cloneBeforeWrite`
`static StateChange` | `readOnly`
`static StateChange` | `readWrite`

Constructor Summary
`protected` | `StateChange(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static StateChange` | `fromString(java.lang.String value)`
`static StateChange` | `fromValue(java.lang.String value)`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _readWriteString

    public static final java.lang.String _readWriteString

See Also:
  Constant Field Values

### _cloneBeforeWriteString

    public static final java.lang.String _cloneBeforeWriteString

See Also:
  Constant Field Values

### _readOnlyString

    public static final java.lang.String _readOnlyString

See Also:
  Constant Field Values

### _readWrite

    public static final java.lang.String _readWrite

### _cloneBeforeWrite

    public static final java.lang.String _cloneBeforeWrite

### _readOnly

    public static final java.lang.String _readOnly

### readWrite

    public static final StateChange readWrite

### cloneBeforeWrite

    public static final StateChange cloneBeforeWrite

### readOnly

    public static final StateChange readOnly

Constructor Detail

### StateChange

    protected StateChange(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static StateChange fromValue(java.lang.String value)
                                 throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### fromString

    public static StateChange fromString(java.lang.String value)
                                  throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD